/*
 * Copyright 2009 SpringSource
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.springsource.bundlor.ant.internal.support;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

import java.util.Arrays;

import org.apache.tools.ant.taskdefs.Property;
import org.junit.Test;

public class PropertyPropertiesSourceTests {

    @Test
    public void test() {
        PropertyPropertiesSource propertiesSource = new PropertyPropertiesSource(Arrays.asList((Property) new StubProperty()));
        assertEquals(Integer.MAX_VALUE, propertiesSource.getPriority());
        assertTrue(propertiesSource.getProperties().size() > 0);
    }

    private static class StubProperty extends Property {

        @Override
        public String getName() {
            return "test-name";
        }

        @Override
        public String getValue() {
            return "test-value";
        }

    }
}
